totemknet_instance Struct Reference
Collaboration diagram for totemknet_instance:
[legend]

## Data Fields

struct crypto_instance * | crypto_inst
struct knet_handle_crypto_cfg | last_good_crypto_cfg
qb_loop_t * | poll_handle
knet_handle_t | knet_handle
int | link_mode
void * | context
int(* | totemknet_deliver_fn )(void *context, const void *msg, unsigned int msg_len, const struct sockaddr_storage *system_from)
int(* | totemknet_iface_change_fn )(void *context, const struct totem_ip_address *iface_address, unsigned int link_no)
void(* | totemknet_mtu_changed )(void *context, int net_mtu)
void(* | totemknet_target_set_completed )(void *context)
int | totemknet_log_level_security
int | totemknet_log_level_error
int | totemknet_log_level_warning
int | totemknet_log_level_notice
int | totemknet_log_level_debug
int | totemknet_subsys_id
int | knet_subsys_id
void(* | totemknet_log_printf )(int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf
void(*) void | knet_context )
char | iov_buffer [KNET_MAX_PACKET_SIZE]
char * | link_status [INTERFACE_MAX]
struct totem_ip_address | my_ids [INTERFACE_MAX]
uint16_t | ip_port [INTERFACE_MAX]
int | our_nodeid
int | loopback_link
struct totem_config * | totem_config
struct totem_ip_address | token_target
qb_loop_timer_handle | timer_netif_check_timeout
qb_loop_timer_handle | timer_merge_detect_timeout
int | send_merge_detect_message
unsigned int | merge_detect_messages_sent_before_timeout
int | logpipes [2]
int | knet_fd
pthread_mutex_t | log_mutex

## Detailed Description

Definition at line 93 of file totemknet.c.

## Field Documentation

## context

void* totemknet_instance::context

Definition at line 104 of file totemknet.c.

Referenced by totemknet_initialize(), and totemknet_token_target_set().

## crypto_inst

struct crypto_instance* totemknet_instance::crypto_inst

Definition at line 94 of file totemknet.c.

## iov_buffer

char totemknet_instance::iov_buffer[KNET_MAX_PACKET_SIZE]

Definition at line 151 of file totemknet.c.

Referenced by totemknet_recv_mcast_empty().

## ip_port

uint16_t totemknet_instance::ip_port[INTERFACE_MAX]

Definition at line 157 of file totemknet.c.

Referenced by totemknet_iface_set(), totemknet_initialize(), and totemknet_member_add().

## knet_context

void(*) void totemknet_instance::knet_context)

Definition at line 149 of file totemknet.c.

Referenced by totemknet_crypto_reconfigure_phase(), totemknet_finalize(), totemknet_iface_check(), totemknet_iface_set(), totemknet_ifaces_get(), totemknet_initialize(), totemknet_mcast_flush_send(), totemknet_mcast_noflush_send(), totemknet_member_add(), totemknet_member_remove(), totemknet_net_mtu_adjust(), totemknet_nodestatus_get(), totemknet_reconfigure(), totemknet_recv_mcast_empty(), totemknet_stats_clear(), totemknet_token_send(), and totemknet_token_target_set().

## knet_fd

int totemknet_instance::knet_fd

Definition at line 176 of file totemknet.c.

Referenced by totemknet_finalize(), totemknet_initialize(), and totemknet_recv_mcast_empty().

## knet_handle

knet_handle_t totemknet_instance::knet_handle

Definition at line 100 of file totemknet.c.

Referenced by totemknet_configure_log_level(), totemknet_crypto_reconfigure_phase(), totemknet_finalize(), totemknet_handle_get_stats(), totemknet_ifaces_get(), totemknet_initialize(), totemknet_link_get_status(), totemknet_member_add(), totemknet_member_remove(), totemknet_nodestatus_get(), and totemknet_stats_clear().

## knet_subsys_id

int totemknet_instance::knet_subsys_id

Definition at line 138 of file totemknet.c.

Referenced by totemknet_initialize().

## last_good_crypto_cfg

struct knet_handle_crypto_cfg totemknet_instance::last_good_crypto_cfg

Definition at line 96 of file totemknet.c.

## link_mode

int totemknet_instance::link_mode

Definition at line 102 of file totemknet.c.

Referenced by totemknet_initialize(), and totemknet_member_add().

## link_status

char* totemknet_instance::link_status[INTERFACE_MAX]

Definition at line 153 of file totemknet.c.

Referenced by totemknet_ifaces_get(), and totemknet_initialize().

## log_mutex

pthread_mutex_t totemknet_instance::log_mutex

Definition at line 178 of file totemknet.c.

Referenced by totemknet_finalize().

## logpipes

int totemknet_instance::logpipes[2]

Definition at line 175 of file totemknet.c.

Referenced by totemknet_finalize(), and totemknet_initialize().

## loopback_link

int totemknet_instance::loopback_link

Definition at line 161 of file totemknet.c.

Referenced by totemknet_initialize(), and totemknet_member_add().

## merge_detect_messages_sent_before_timeout

unsigned int totemknet_instance::merge_detect_messages_sent_before_timeout

Definition at line 173 of file totemknet.c.

## my_ids

struct totem_ip_address totemknet_instance::my_ids[INTERFACE_MAX]

Definition at line 155 of file totemknet.c.

Referenced by totemknet_iface_set(), and totemknet_initialize().

## our_nodeid

int totemknet_instance::our_nodeid

Definition at line 159 of file totemknet.c.

Referenced by totemknet_ifaces_get(), totemknet_initialize(), totemknet_member_add(), and totemknet_member_remove().

## poll_handle

qb_loop_t* totemknet_instance::poll_handle

Definition at line 98 of file totemknet.c.

Referenced by totemknet_finalize(), and totemknet_initialize().

## send_merge_detect_message

int totemknet_instance::send_merge_detect_message

Definition at line 171 of file totemknet.c.

## timer_merge_detect_timeout

qb_loop_timer_handle totemknet_instance::timer_merge_detect_timeout

Definition at line 169 of file totemknet.c.

## timer_netif_check_timeout

qb_loop_timer_handle totemknet_instance::timer_netif_check_timeout

Definition at line 167 of file totemknet.c.

Referenced by totemknet_initialize().

## token_target

struct totem_ip_address totemknet_instance::token_target

Definition at line 165 of file totemknet.c.

Referenced by totemknet_member_remove(), totemknet_token_send(), and totemknet_token_target_set().

## totem_config

struct totem_config* totemknet_instance::totem_config

Definition at line 163 of file totemknet.c.

Referenced by totemknet_ifaces_get(), totemknet_initialize(), totemknet_member_add(), and totemknet_nodestatus_get().

## totemknet_deliver_fn

int(* totemknet_instance::totemknet_deliver_fn) (void *context, const void *msg, unsigned int msg_len, const struct sockaddr_storage *system_from)

Definition at line 106 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_iface_change_fn

int(* totemknet_instance::totemknet_iface_change_fn) (void *context, const struct totem_ip_address *iface_address, unsigned int link_no)

Definition at line 112 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_log_level_debug

int totemknet_instance::totemknet_log_level_debug

Definition at line 134 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_log_level_error

int totemknet_instance::totemknet_log_level_error

Definition at line 128 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_log_level_notice

int totemknet_instance::totemknet_log_level_notice

Definition at line 132 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_log_level_security

int totemknet_instance::totemknet_log_level_security

Definition at line 126 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_log_level_warning

int totemknet_instance::totemknet_log_level_warning

Definition at line 130 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_log_printf

void(* totemknet_instance::totemknet_log_printf) (int level, int subsys, const char *function, const char *file, int line, const char *format,...) __attribute__((format(printf

Definition at line 140 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_mtu_changed

void(* totemknet_instance::totemknet_mtu_changed) (void *context, int net_mtu)

Definition at line 117 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_subsys_id

int totemknet_instance::totemknet_subsys_id

Definition at line 136 of file totemknet.c.

Referenced by totemknet_initialize().

## totemknet_target_set_completed

void(* totemknet_instance::totemknet_target_set_completed) (void *context)

Definition at line 121 of file totemknet.c.

Referenced by totemknet_initialize(), and totemknet_token_target_set().

The documentation for this struct was generated from the following file:

- totemknet.c